/* Adjustments for the layout and styling of the main layout and navigation menu in the Teles ThreeCx Integration project.
*/

.tk-tacitus-pro {
	font-family: "tacitus-pro", sans-serif;
}

@font-face {
	font-family: "tacitus-pro";
	src: url("https://use.typekit.net/af/1a36cc/000000000000000000014f23/27/l?primer=821f5854e5bb76cc2d1fa37754dff295047e4beff025e5f1b99ca04df83a3333&fvd=n3&v=3")
			format("woff2"),
		url("https://use.typekit.net/af/1a36cc/000000000000000000014f23/27/d?primer=821f5854e5bb76cc2d1fa37754dff295047e4beff025e5f1b99ca04df83a3333&fvd=n3&v=3")
			format("woff"),
		url("https://use.typekit.net/af/1a36cc/000000000000000000014f23/27/a?primer=821f5854e5bb76cc2d1fa37754dff295047e4beff025e5f1b99ca04df83a3333&fvd=n3&v=3")
			format("opentype");
	font-weight: 300;
	font-display: auto;
}

@font-face {
	font-family: "tacitus-pro";
	src: url("https://use.typekit.net/af/accde8/000000000000000000014f22/27/l?primer=821f5854e5bb76cc2d1fa37754dff295047e4beff025e5f1b99ca04df83a3333&fvd=n7&v=3")
			format("woff2"),
		url("https://use.typekit.net/af/accde8/000000000000000000014f22/27/d?primer=821f5854e5bb76cc2d1fa37754dff295047e4beff025e5f1b99ca04df83a3333&fvd=n7&v=3")
			format("woff"),
		url("https://use.typekit.net/af/accde8/000000000000000000014f22/27/a?primer=821f5854e5bb76cc2d1fa37754dff295047e4beff025e5f1b99ca04df83a3333&fvd=n7&v=3")
			format("opentype");
	font-weight: 700;
	font-display: auto;
}

.grid {
	display: flex;
	width: 95%;
	gap: 1vw;
}

.rz-card.rz-variant-filled.rz-my-12.rz-mx-auto {
	height: 90%;
}

/* Compact table test start*/

.my-auto-width-table .rz-datatable-table {
	table-layout: auto !important;
	width: auto !important;
}
.my-auto-width-table table {
	min-width: max-content; /* prevent squishing */
}

/* Target the actual data table inside your Radzen grid */
.my-auto-width-table .rz-data-table table {
	table-layout: auto !important;
	width: auto !important;
	min-width: max-content !important; /* prevents squishing */
}

/* Optional: stop header from stretching */
.my-auto-width-table .rz-data-table .rz-header-table {
	table-layout: auto !important;
	width: auto !important;
	min-width: max-content !important;
}

/* Scope all changes to grids inside .auto-fit */

.auto-fit .rz-grid-table {
	width: 100% !important;
}
.auto-fit col {
	width: auto !important; /* ignore any colgroup widths */
}

/* Optional: keep cells on one line so width = content length */
.auto-fit th,
.auto-fit td {
	white-space: nowrap;
}

/* If the table becomes wider than its container, allow horizontal scroll */
.table-responsive.auto-fit {
	overflow-x: auto;
}

/* Compact table test end*/

.rz-tabview-nav li {
	transition: none;
}

.container.mw-100.flex-grid,
.flex-grid {
	display: flex;
	flex-direction: column;
	align-content: center;
}

.rz-selectbutton .rz-button.rz-button-md {
	display: flex;
	align-items: center;
	white-space: nowrap;
}

.rz-stack.rz-display-flex.rz-flex-row.rz-align-items-normal.rz-justify-content-flex-start {
	display: flex !important;
	flex-direction: column !important;
}

.rz-selectbutton.rz-buttonset.rz-buttonset-2.rz-p-4,
.searchboxes.rz-pt-4 {
	padding: 1rem 0 !important;
}

.row {
	gap: 0;
}

span.oi.oi-account-logout {
	transform: scaleX(-1);
}

@media (max-width: 1350px) {
	.auto-fit .rz-grid-table {
		min-width: max-content !important;
	}
	.auto-fit .rz-grid-table-fixed {
		table-layout: auto !important; /* turn off fixed layout */
	}
	.container {
		margin: 0;
		max-width: 100% !important;
	}
	/*.rz-tabview.rz-tabview-top {
		max-width: 80%;
	}*/
}
@media (min-width: 1200px) {
	.top-row,
	article {
		padding-left: 2rem;
		padding-right: 1.5rem;
	}
}

@media (max-width: 950px) {
	table.rz-grid-table.rz-grid-table-fixed.rz-grid-table-striped,
	table.rz-grid-table.rz-grid-table-fixed,
	table.rz-grid-table-fixed,
	table.rz-grid-table,
	.rz-grid-table-fixed,
	.rz-grid-table,
	.rz-selectbutton {
		/*width: auto !important;*/
		width: 100% !important;
		/*display: block !important;*/
		table-layout: auto !important;
		flex-wrap: wrap;
	}

	main {
		max-width: 100vw;
		width: 100%;
	}
}
@media (min-width: 641px) {
	.top-row img {
		width: 80%;
		height: auto;
	}
}

@media (max-width: 641px) {
	.top-row img {
		width: 30% !important;
		height: auto;
	}
	.top-row {
		display: flex;
		flex-direction: column;
	}

	.rz-card.rz-variant-filled {
		margin: 0 !important;
		margin: 10px 0 !important;
		padding: 5px;
		height: 100%;
	}
	.grid {
		padding: 2vw;
	}
}
